 /*
  * Khoros: $Id: form_init.c,v 1.3 1992/03/20 22:41:16 dkhoros Exp $
  */

#if !defined(lint) && !defined(SABER)
static char rcsid[] = "Khoros: $Id: form_init.c,v 1.3 1992/03/20 22:41:16 dkhoros Exp $";
#endif

 /*
  * $Log: form_init.c,v $
 * Revision 1.3  1992/03/20  22:41:16  dkhoros
 * VirtualPatch5
 *
  */

/*
 *---------------------------------------------------------------------
 *            Copyright 1990 University of New Mexico
 * 
 * Permission to copy and modify this software and its documen- 
 * tation only for internal use in your organization is hereby 
 * granted, provided that this notice is retained thereon and 
 * on all copies.  UNM makes no representations as too the sui- 
 * tability and operability of this software for any purpose. 
 * It is provided 'as is' without express or implied warranty. 
 *  
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT- 
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT- 
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS 
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER- 
 * FORMANCE OF THIS SOFTWARE. 
 *  
 * No other rights, including for example, the right to redis- 
 * tribute this software and its documentation or the right to 
 * prepare derivative works, are granted unless specifically 
 * provided in a separate license agreement. 
 * 
 *---------------------------------------------------------------------
 */
#include "unmcopyright.h"
#include "xvforms.h"
#include "form_info.h"


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name:  form_init.c
 >>>>
 >>>>      Program Desc:  code to initialize fields
 >>>>                      in the structure found in form_info.h
 >>>>
 >>>>            Author:  automatically generated by conductor
 >>>>
 >>>> Date Last Updated:  Fri Mar 13 14:48:54 1992
 >>>>
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/


_xvf_init_Master(formptr,forminfo)

xvf_form *formptr; 
Master *forminfo;
{
	int index;
	Line_Info line_info;
	char **database;

	xvf_clear_line_info(&line_info);
	database = formptr->db;

	/***** initializing 'Master' Form Information structure *****/

	forminfo->info = false;
	forminfo->refresh = false;
	forminfo->clear = false;
	forminfo->hide = false;
	forminfo->delete = false;
	forminfo->perspective = false;
	forminfo->reset_axes = false;
	forminfo->quit = false;
	forminfo->canvas_index = 17;
	forminfo->xprism = (Master_xprism *) 
			  malloc(sizeof(Master_xprism));


	index = 19;

	xvf_parse_startsubform_line(database[index], &line_info);
	forminfo->xprism_selected = line_info.selected;
	forminfo->xprism_index = 19;
	forminfo->xprism_sfb_index = 2;

	/*** initializing 'forminfo->xprism'
	      Subform Information structure ***/

	forminfo->xprism->quit = false;
	forminfo->xprism->input_file = (xprism_input_file *) 
			  malloc(sizeof(xprism_input_file));


	index = 28;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xprism->input_file_selected = line_info.selected;
	forminfo->xprism->input_file_index = 28;
	forminfo->xprism->input_file_gb_index = 21;
	index++;


	/* initializing 'forminfo->xprism->input_file'
	       Pane Information structure */

	xvf_parse_input_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->xprism->input_file->filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->xprism->input_file->filename = NULL;

	xvf_deparse_input_line(&line_info, database, index);
	forminfo->xprism->input_file->filename_index = index;
	index++;

	index++;

	index++;

	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_file->step_size_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_file->step_size_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_file->begin_point_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_file->begin_point_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_file->end_point_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_file->end_point_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_file->step_size_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_file->step_size_y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_file->begin_point_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_file->begin_point_y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_file->end_point_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_file->end_point_y_index = index;
	index++;

	index++;

	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xprism->input_file->change_plot_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xprism->input_file->change_plot_type_index = index;
	index++;

	index = 52;
	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xprism->input_file->data_format_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xprism->input_file->data_format_index = index;
	index++;

	index = 56;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xprism->input_file->data_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xprism->input_file->data_type_index = index;
	index++;

	index = 63;
	index++;

	index++;

	forminfo->xprism->input_file->machine_type = false;
	forminfo->xprism->input_file->machine_type_index = index;
	index++;

	index++;

	forminfo->xprism->input_file->plot_file = false;
	forminfo->xprism->input_file->plot_file_index = index;
	index++;

	index++;

	forminfo->xprism->input_function = (xprism_input_function *) 
			  malloc(sizeof(xprism_input_function));


	index = 70;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xprism->input_function_selected = line_info.selected;
	forminfo->xprism->input_function_index = 70;
	forminfo->xprism->input_function_gb_index = 22;
	index++;


	/* initializing 'forminfo->xprism->input_function'
	       Pane Information structure */

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->function = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->function = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->function_index = index;
	index++;

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->x_min = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->x_min = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->x_min_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->x_max = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->x_max = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->x_max_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->xnum_pts = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->xnum_pts = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->xnum_pts_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->y_min = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->y_min = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->y_min_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->y_max = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->y_max = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->y_max_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->input_function->ynum_pts = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->input_function->ynum_pts = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->input_function->ynum_pts_index = index;
	index++;

	index++;

	index++;

	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_function->step_size_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_function->step_size_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_function->begin_point_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_function->begin_point_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_function->end_point_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_function->end_point_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_function->step_size_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_function->step_size_y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_function->begin_point_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_function->begin_point_y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xprism->input_function->end_point_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xprism->input_function->end_point_y_index = index;
	index++;

	index++;

	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xprism->input_function->change_plot_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xprism->input_function->change_plot_type_index = index;
	index++;

	index = 102;
	forminfo->xprism->input_function->plot_function = false;
	forminfo->xprism->input_function->plot_function_index = index;
	index++;

	index++;

	forminfo->xprism->transforms = (xprism_transforms *) 
			  malloc(sizeof(xprism_transforms));


	index = 105;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xprism->transforms_selected = line_info.selected;
	forminfo->xprism->transforms_index = 105;
	forminfo->xprism->transforms_gb_index = 23;
	index++;


	/* initializing 'forminfo->xprism->transforms'
	       Pane Information structure */

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xprism->transforms->trans_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xprism->transforms->trans_type_index = index;
	index++;

	index = 111;
	xvf_parse_float_line(database[index], &line_info);
	forminfo->xprism->transforms->x_val = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->xprism->transforms->x_val_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->xprism->transforms->y_val = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->xprism->transforms->y_val_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->xprism->transforms->z_val = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->xprism->transforms->z_val_index = index;
	index++;

	forminfo->xprism->transforms->transform_plots = false;
	forminfo->xprism->transforms->transform_plots_index = index;
	index++;

	index++;

	forminfo->xprism->environment = (xprism_environment *) 
			  malloc(sizeof(xprism_environment));


	index = 117;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xprism->environment_selected = line_info.selected;
	forminfo->xprism->environment_index = 117;
	forminfo->xprism->environment_gb_index = 24;
	index++;


	/* initializing 'forminfo->xprism->environment'
	       Pane Information structure */

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->environment->input_path = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->environment->input_path = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->environment->input_path_index = index;
forminfo->xprism->environment->input_path_selected = false;
	index++;

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xprism->environment->output_path = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xprism->environment->output_path = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xprism->environment->output_path_index = index;
forminfo->xprism->environment->output_path_selected = false;
	index++;

	forminfo->xprism->environment->option = false;
	forminfo->xprism->environment->option_index = index;
	index++;

	index++;

	forminfo->options = (Master_options *) 
			  malloc(sizeof(Master_options));


	index = 126;

	xvf_parse_startsubform_line(database[index], &line_info);
	forminfo->options_selected = line_info.selected;
	forminfo->options_index = 126;
	forminfo->options_sfb_index = 3;

	/*** initializing 'forminfo->options'
	      Subform Information structure ***/

	forminfo->options->quit = false;
	forminfo->options->tics = (options_tics *) 
			  malloc(sizeof(options_tics));


	index = 137;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->options->tics_selected = line_info.selected;
	forminfo->options->tics_index = 137;
	forminfo->options->tics_gb_index = 128;
	index++;


	/* initializing 'forminfo->options->tics'
	       Pane Information structure */

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->grid = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->grid_index = index;
forminfo->options->tics->grid_selected = false;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->box = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->box_index = index;
forminfo->options->tics->box_selected = false;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->legend = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->legend_index = index;
forminfo->options->tics->legend_selected = false;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->auto_scale = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->auto_scale_index = index;
forminfo->options->tics->auto_scale_selected = false;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->axes = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->axes_index = index;
forminfo->options->tics->axes_selected = false;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->num_labels = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->num_labels_index = index;
forminfo->options->tics->num_labels_selected = false;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->tics->clear_labels = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->tics->clear_labels_index = index;
forminfo->options->tics->clear_labels_selected = false;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->options->tics->change_labeling_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->options->tics->change_labeling_index = index;
forminfo->options->tics->change_labeling_selected = false;
	index++;

	index = 149;
	index++;

	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->min_xpt = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->min_xpt_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->min_ypt = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->min_ypt_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->min_zpt = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->min_zpt_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->max_xpt = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->max_xpt_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->max_ypt = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->max_ypt_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->max_zpt = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->max_zpt_index = index;
	index++;

	forminfo->options->tics->change_max_min = false;
	forminfo->options->tics->change_max_min_index = index;
	index++;

	index++;

	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->major_xintv = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->major_xintv_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->major_yintv = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->major_yintv_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->tics->major_zintv = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->tics->major_zintv_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->tics->minor_xtics = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->tics->minor_xtics_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->tics->minor_ytics = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->tics->minor_ytics_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->tics->minor_ztics = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->tics->minor_ztics_index = index;
	index++;

	forminfo->options->tics->change_interval = false;
	forminfo->options->tics->change_interval_index = index;
	index++;

	index++;

	forminfo->options->attributes = (options_attributes *) 
			  malloc(sizeof(options_attributes));


	index = 169;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->options->attributes_selected = line_info.selected;
	forminfo->options->attributes_index = 169;
	forminfo->options->attributes_gb_index = 129;
	index++;


	/* initializing 'forminfo->options->attributes'
	       Pane Information structure */

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->options->attributes->change_plot_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->options->attributes->change_plot_type_index = index;
forminfo->options->attributes->change_plot_type_selected = false;
	index++;

	index = 181;
	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->options->attributes->change_line_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->options->attributes->change_line_type_index = index;
forminfo->options->attributes->change_line_type_selected = false;
	index++;

	index = 189;
	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->options->attributes->change_marker_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->options->attributes->change_marker_type_index = index;
forminfo->options->attributes->change_marker_type_selected = false;
	index++;

	index = 206;
	index++;

	index++;

	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->attributes->step_size_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->attributes->step_size_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->attributes->begin_point_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->attributes->begin_point_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->attributes->end_point_x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->attributes->end_point_x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->attributes->step_size_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->attributes->step_size_y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->attributes->begin_point_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->attributes->begin_point_y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->attributes->end_point_y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->attributes->end_point_y_index = index;
	index++;

	index++;

	index++;

	forminfo->options->attributes->data_sampling = false;
	forminfo->options->attributes->data_sampling_index = index;
	index++;

	index++;

	forminfo->options->label = (options_label *) 
			  malloc(sizeof(options_label));


	index = 220;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->options->label_selected = line_info.selected;
	forminfo->options->label_index = 220;
	forminfo->options->label_gb_index = 130;
	index++;


	/* initializing 'forminfo->options->label'
	       Pane Information structure */

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->options->label->title = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->options->label->title = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->options->label->title_index = index;
forminfo->options->label->title_selected = false;
	index++;

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->options->label->xaxis = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->options->label->xaxis = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->options->label->xaxis_index = index;
forminfo->options->label->xaxis_selected = false;
	index++;

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->options->label->yaxis = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->options->label->yaxis = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->options->label->yaxis_index = index;
forminfo->options->label->yaxis_selected = false;
	index++;

	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->options->label->zaxis = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->options->label->zaxis = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->options->label->zaxis_index = index;
forminfo->options->label->zaxis_selected = false;
	index++;

	forminfo->options->label->change_legend = false;
	forminfo->options->label->change_legend_index = index;
	index++;

	forminfo->options->label->title_font = false;
	forminfo->options->label->title_font_index = index;
	index++;

	index++;

	forminfo->options->label->xaxis_font = false;
	forminfo->options->label->xaxis_font_index = index;
	index++;

	index++;

	forminfo->options->label->yaxis_font = false;
	forminfo->options->label->yaxis_font_index = index;
	index++;

	index++;

	forminfo->options->label->zaxis_font = false;
	forminfo->options->label->zaxis_font_index = index;
	index++;

	index++;

	forminfo->options->label->num_font = false;
	forminfo->options->label->num_font_index = index;
	index++;

	index++;

	forminfo->options->label->legend_font = false;
	forminfo->options->label->legend_font_index = index;
	index++;

	index++;

	forminfo->options->label->all_fonts = false;
	forminfo->options->label->all_fonts_index = index;
	index++;

	index++;

	forminfo->options->colors = (options_colors *) 
			  malloc(sizeof(options_colors));


	index = 245;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->options->colors_selected = line_info.selected;
	forminfo->options->colors_index = 245;
	forminfo->options->colors_gb_index = 131;
	index++;


	/* initializing 'forminfo->options->colors'
	       Pane Information structure */

	forminfo->options->colors->title = false;
	forminfo->options->colors->title_index = index;
	index++;

	index++;

	forminfo->options->colors->xaxis_label = false;
	forminfo->options->colors->xaxis_label_index = index;
	index++;

	index++;

	forminfo->options->colors->yaxis_label = false;
	forminfo->options->colors->yaxis_label_index = index;
	index++;

	index++;

	forminfo->options->colors->zaxis_label = false;
	forminfo->options->colors->zaxis_label_index = index;
	index++;

	index++;

	forminfo->options->colors->xaxis = false;
	forminfo->options->colors->xaxis_index = index;
	index++;

	index++;

	forminfo->options->colors->yaxis = false;
	forminfo->options->colors->yaxis_index = index;
	index++;

	index++;

	forminfo->options->colors->zaxis = false;
	forminfo->options->colors->zaxis_index = index;
	index++;

	index++;

	forminfo->options->colors->xaxis_nums = false;
	forminfo->options->colors->xaxis_nums_index = index;
	index++;

	index++;

	forminfo->options->colors->yaxis_nums = false;
	forminfo->options->colors->yaxis_nums_index = index;
	index++;

	index++;

	forminfo->options->colors->zaxis_nums = false;
	forminfo->options->colors->zaxis_nums_index = index;
	index++;

	index++;

	forminfo->options->colors->grid = false;
	forminfo->options->colors->grid_index = index;
	index++;

	index++;

	forminfo->options->colors->legend = false;
	forminfo->options->colors->legend_index = index;
	index++;

	index++;

	forminfo->options->colors->plots = false;
	forminfo->options->colors->plots_index = index;
	index++;

	index++;

	forminfo->options->contours = (options_contours *) 
			  malloc(sizeof(options_contours));


	index = 273;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->options->contours_selected = line_info.selected;
	forminfo->options->contours_index = 273;
	forminfo->options->contours_gb_index = 132;
	index++;


	/* initializing 'forminfo->options->contours'
	       Pane Information structure */

	forminfo->options->contours->set_info_cont = false;
	forminfo->options->contours->set_info_cont_index = index;
	index++;

	index++;

	index++;

	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->options->contours->cont_num = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->options->contours->cont_num_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->contours->cont_min = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->contours->cont_min_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->contours->cont_max = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->contours->cont_max_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->contours->cont_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->contours->cont_offset_index = index;
	index++;

	forminfo->options->contours->gen_cont = false;
	forminfo->options->contours->gen_cont_index = index;
	index++;

	forminfo->options->contours->spec_cont = false;
	forminfo->options->contours->spec_cont_index = index;
	index++;

	forminfo->options->contours->reset_cont = false;
	forminfo->options->contours->reset_cont_index = index;
	index++;

	forminfo->options->contours->plot_cont_3D = false;
	forminfo->options->contours->plot_cont_3D_index = index;
	index++;

	forminfo->options->contours->plot_cont_2D = false;
	forminfo->options->contours->plot_cont_2D_index = index;
	index++;

	index++;

	forminfo->options->plot_data = (options_plot_data *) 
			  malloc(sizeof(options_plot_data));


	index = 289;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->options->plot_data_selected = line_info.selected;
	forminfo->options->plot_data_index = 289;
	forminfo->options->plot_data_gb_index = 133;
	index++;


	/* initializing 'forminfo->options->plot_data'
	       Pane Information structure */

	index++;

	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->plot_data->xband = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->plot_data->xband_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->plot_data->yband = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->plot_data->yband_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->options->plot_data->zband = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->options->plot_data->zband_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->options->plot_data->constant = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->options->plot_data->constant_index = index;
	index++;

	forminfo->options->plot_data->dimensions = false;
	forminfo->options->plot_data->dimensions_index = index;
	index++;

	index++;

	forminfo->xvoverlay = (Master_xvoverlay *) 
			  malloc(sizeof(Master_xvoverlay));


	index = 300;

	xvf_parse_startsubform_line(database[index], &line_info);
	forminfo->xvoverlay_selected = line_info.selected;
	forminfo->xvoverlay_index = 300;
	forminfo->xvoverlay_sfb_index = 4;

	/*** initializing 'forminfo->xvoverlay'
	      Subform Information structure ***/

	forminfo->xvoverlay->delete = false;
	forminfo->xvoverlay->copy = false;
	forminfo->xvoverlay->raise = false;
	forminfo->xvoverlay->lower = false;
	forminfo->xvoverlay->quit = false;
	forminfo->xvoverlay->ovfile = (xvoverlay_ovfile *) 
			  malloc(sizeof(xvoverlay_ovfile));


	index = 315;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xvoverlay->ovfile_selected = line_info.selected;
	forminfo->xvoverlay->ovfile_index = 315;
	forminfo->xvoverlay->ovfile_gb_index = 306;
	index++;


	/* initializing 'forminfo->xvoverlay->ovfile'
	       Pane Information structure */

	index++;

	xvf_parse_input_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->xvoverlay->ovfile->ov_input = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->xvoverlay->ovfile->ov_input = NULL;

	xvf_deparse_input_line(&line_info, database, index);
	forminfo->xvoverlay->ovfile->ov_input_index = index;
forminfo->xvoverlay->ovfile->ov_input_selected = false;
	index++;

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->xvoverlay->ovfile->ov_output = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->xvoverlay->ovfile->ov_output = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->xvoverlay->ovfile->ov_output_index = index;
forminfo->xvoverlay->ovfile->ov_output_selected = false;
	index++;

	index++;

	forminfo->xvoverlay->text = (xvoverlay_text *) 
			  malloc(sizeof(xvoverlay_text));


	index = 322;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xvoverlay->text_selected = line_info.selected;
	forminfo->xvoverlay->text_index = 322;
	forminfo->xvoverlay->text_gb_index = 307;
	index++;


	/* initializing 'forminfo->xvoverlay->text'
	       Pane Information structure */

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->text->color = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->text->color = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->text->color_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->text->font = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->text->font = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->text->font_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->text->text = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->text->text = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->text->text_index = index;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xvoverlay->text->place_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xvoverlay->text->place_index = index;
	index++;

	index = 330;
	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->text->x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->text->x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->text->y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->text->y_index = index;
	index++;

	forminfo->xvoverlay->text->create = false;
	forminfo->xvoverlay->text->create_index = index;
	index++;

	index++;

	forminfo->xvoverlay->circle = (xvoverlay_circle *) 
			  malloc(sizeof(xvoverlay_circle));


	index = 335;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xvoverlay->circle_selected = line_info.selected;
	forminfo->xvoverlay->circle_index = 335;
	forminfo->xvoverlay->circle_gb_index = 308;
	index++;


	/* initializing 'forminfo->xvoverlay->circle'
	       Pane Information structure */

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->circle->color = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->circle->color = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->circle->color_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->circle->width = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->circle->width_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->xvoverlay->circle->filled = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->xvoverlay->circle->filled_index = index;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xvoverlay->circle->place_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xvoverlay->circle->place_index = index;
	index++;

	index = 343;
	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->circle->x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->circle->x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->circle->y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->circle->y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->circle->x_edge = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->circle->x_edge_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->circle->y_edge = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->circle->y_edge_index = index;
	index++;

	forminfo->xvoverlay->circle->create = false;
	forminfo->xvoverlay->circle->create_index = index;
	index++;

	index++;

	forminfo->xvoverlay->rectangle = (xvoverlay_rectangle *) 
			  malloc(sizeof(xvoverlay_rectangle));


	index = 350;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle_selected = line_info.selected;
	forminfo->xvoverlay->rectangle_index = 350;
	forminfo->xvoverlay->rectangle_gb_index = 309;
	index++;


	/* initializing 'forminfo->xvoverlay->rectangle'
	       Pane Information structure */

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->rectangle->color = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->rectangle->color = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->color_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->width = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->width_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->filled = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->filled_index = index;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->place_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->place_index = index;
	index++;

	index = 358;
	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->x_corner = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->x_corner_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->rectangle->y_corner = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->rectangle->y_corner_index = index;
	index++;

	forminfo->xvoverlay->rectangle->create = false;
	forminfo->xvoverlay->rectangle->create_index = index;
	index++;

	index++;

	forminfo->xvoverlay->line = (xvoverlay_line *) 
			  malloc(sizeof(xvoverlay_line));


	index = 365;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xvoverlay->line_selected = line_info.selected;
	forminfo->xvoverlay->line_index = 365;
	forminfo->xvoverlay->line_gb_index = 310;
	index++;


	/* initializing 'forminfo->xvoverlay->line'
	       Pane Information structure */

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->line->color = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->line->color = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->line->color_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->line->width = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->line->width_index = index;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->xvoverlay->line->place_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->xvoverlay->line->place_index = index;
	index++;

	index = 372;
	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->line->x = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->line->x_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->line->y = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->line->y_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->line->x_end = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->line->x_end_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->line->y_end = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->line->y_end_index = index;
	index++;

	forminfo->xvoverlay->line->create = false;
	forminfo->xvoverlay->line->create_index = index;
	index++;

	index++;

	forminfo->xvoverlay->polygon = (xvoverlay_polygon *) 
			  malloc(sizeof(xvoverlay_polygon));


	index = 379;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->xvoverlay->polygon_selected = line_info.selected;
	forminfo->xvoverlay->polygon_index = 379;
	forminfo->xvoverlay->polygon_gb_index = 311;
	index++;


	/* initializing 'forminfo->xvoverlay->polygon'
	       Pane Information structure */

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->xvoverlay->polygon->color = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->xvoverlay->polygon->color = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->xvoverlay->polygon->color_index = index;
	index++;

	xvf_parse_int_line(database[index], &line_info);
	forminfo->xvoverlay->polygon->width = line_info.int_def;
	line_info.int_val = line_info.int_def;
	xvf_deparse_int_line(&line_info, database,index);
	forminfo->xvoverlay->polygon->width_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->xvoverlay->polygon->filled = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->xvoverlay->polygon->filled_index = index;
	index++;

	forminfo->xvoverlay->polygon->create = false;
	forminfo->xvoverlay->polygon->create_index = index;
	index++;

	index++;

	forminfo->output = (Master_output *) 
			  malloc(sizeof(Master_output));


	index = 387;

	xvf_parse_startsubform_line(database[index], &line_info);
	forminfo->output_selected = line_info.selected;
	forminfo->output_index = 387;
	forminfo->output_sfb_index = 5;

	/*** initializing 'forminfo->output'
	      Subform Information structure ***/

	forminfo->output->quit = false;
	forminfo->output->file = (output_file *) 
			  malloc(sizeof(output_file));


	index = 397;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->output->file_selected = line_info.selected;
	forminfo->output->file_index = 397;
	forminfo->output->file_gb_index = 389;
	index++;


	/* initializing 'forminfo->output->file'
	       Pane Information structure */

	index++;

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->file->expl_filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->file->expl_filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->file->expl_filename_index = index;
forminfo->output->file->expl_filename_selected = false;
	index++;

	index++;

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->file->impl_filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->file->impl_filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->file->impl_filename_index = index;
forminfo->output->file->impl_filename_selected = false;
	index++;

	index++;

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->file->cm_filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->file->cm_filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->file->cm_filename_index = index;
forminfo->output->file->cm_filename_selected = false;
	index++;

	index++;

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->file->dump_filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->file->dump_filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->file->dump_filename_index = index;
forminfo->output->file->dump_filename_selected = false;
	index++;

	index++;

	forminfo->output->postscr = (output_postscr *) 
			  malloc(sizeof(output_postscr));


	index = 412;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->output->postscr_selected = line_info.selected;
	forminfo->output->postscr_index = 412;
	forminfo->output->postscr_gb_index = 390;
	index++;


	/* initializing 'forminfo->output->postscr'
	       Pane Information structure */

	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->postscr->width = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->postscr->width_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->postscr->height = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->postscr->height_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->postscr->x_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->postscr->x_offset_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->postscr->y_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->postscr->y_offset_index = index;
	index++;

	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->postscr->flush = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->postscr->flush_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->postscr->invert = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->postscr->invert_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->postscr->mono = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->postscr->mono_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->postscr->landscape = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->postscr->landscape_index = index;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->output->postscr->output_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->output->postscr->output_type_index = index;
	index++;

	index = 427;
	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->postscr->filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->postscr->filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->postscr->filename_index = index;
forminfo->output->postscr->filename_selected = false;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->postscr->printer_cmd = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->postscr->printer_cmd = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->postscr->printer_cmd_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->postscr->printer = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->postscr->printer = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->postscr->printer_index = index;
forminfo->output->postscr->printer_selected = false;
	index++;

	index++;

	forminfo->output->imagen = (output_imagen *) 
			  malloc(sizeof(output_imagen));


	index = 432;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->output->imagen_selected = line_info.selected;
	forminfo->output->imagen_index = 432;
	forminfo->output->imagen_gb_index = 391;
	index++;


	/* initializing 'forminfo->output->imagen'
	       Pane Information structure */

	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->imagen->width = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->imagen->width_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->imagen->height = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->imagen->height_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->imagen->x_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->imagen->x_offset_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->imagen->y_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->imagen->y_offset_index = index;
	index++;

	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->imagen->flush = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->imagen->flush_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->imagen->invert = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->imagen->invert_index = index;
	index++;

	xvf_parse_toggle_line(database[index], &line_info);
	forminfo->output->imagen->output_type_val = line_info.toggle_def;
	line_info.toggle_val = line_info.toggle_def;
	xvf_deparse_toggle_line(&line_info, database,index);
	forminfo->output->imagen->output_type_index = index;
	index++;

	index = 445;
	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->imagen->filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->imagen->filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->imagen->filename_index = index;
forminfo->output->imagen->filename_selected = false;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->imagen->printer_cmd = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->imagen->printer_cmd = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->imagen->printer_cmd_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->imagen->printer = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->imagen->printer = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->imagen->printer_index = index;
forminfo->output->imagen->printer_selected = false;
	index++;

	index++;

	forminfo->output->hpgl = (output_hpgl *) 
			  malloc(sizeof(output_hpgl));


	index = 450;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->output->hpgl_selected = line_info.selected;
	forminfo->output->hpgl_index = 450;
	forminfo->output->hpgl_gb_index = 392;
	index++;


	/* initializing 'forminfo->output->hpgl'
	       Pane Information structure */

	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->hpgl->width = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->hpgl->width_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->hpgl->height = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->hpgl->height_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->hpgl->x_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->hpgl->x_offset_index = index;
	index++;

	xvf_parse_float_line(database[index], &line_info);
	forminfo->output->hpgl->y_offset = line_info.float_def;
	line_info.float_val = line_info.float_def;
	xvf_deparse_float_line(&line_info, database,index);
	forminfo->output->hpgl->y_offset_index = index;
	index++;

	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->hpgl->flush = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->hpgl->flush_index = index;
	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->hpgl->landscape = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->hpgl->landscape_index = index;
	index++;

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->hpgl->filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->hpgl->filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->hpgl->filename_index = index;
forminfo->output->hpgl->filename_selected = false;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->hpgl->printer_cmd = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->hpgl->printer_cmd = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->hpgl->printer_cmd_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->hpgl->printer = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->hpgl->printer = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->hpgl->printer_index = index;
forminfo->output->hpgl->printer_selected = false;
	index++;

	index++;

	forminfo->output->ln03 = (output_ln03 *) 
			  malloc(sizeof(output_ln03));


	index = 465;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->output->ln03_selected = line_info.selected;
	forminfo->output->ln03_index = 465;
	forminfo->output->ln03_gb_index = 393;
	index++;


	/* initializing 'forminfo->output->ln03'
	       Pane Information structure */

	index++;

	xvf_parse_logic_line(database[index], &line_info);
	forminfo->output->ln03->invert = line_info.logical_def;
	line_info.logical_val = line_info.logical_def;
	xvf_deparse_logic_line(&line_info, database,index);
	forminfo->output->ln03->invert_index = index;
	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->output->ln03->filename = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->output->ln03->filename = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->output->ln03->filename_index = index;
forminfo->output->ln03->filename_selected = false;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->ln03->printer_cmd = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->ln03->printer_cmd = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->ln03->printer_cmd_index = index;
	index++;

	xvf_parse_string_line(database[index], &line_info);
	if (line_info.string_def != NULL) {
	   forminfo->output->ln03->printer = 
		xvf_strcpy(line_info.string_def);
	}
	else  forminfo->output->ln03->printer = NULL;

	xvf_deparse_string_line(&line_info, database,index);
	forminfo->output->ln03->printer_index = index;
forminfo->output->ln03->printer_selected = false;
	index++;

	index++;

	forminfo->answer = (Master_answer *) 
			  malloc(sizeof(Master_answer));


	index = 474;

	xvf_parse_startsubform_line(database[index], &line_info);
	forminfo->answer_selected = line_info.selected;
	forminfo->answer_index = 474;
	forminfo->answer_sfb_index = 6;

	/*** initializing 'forminfo->answer'
	      Subform Information structure ***/

	forminfo->answer->ans_file = (answer_ans_file *) 
			  malloc(sizeof(answer_ans_file));


	index = 475;

	xvf_parse_startpane_line(database[index], &line_info);
	forminfo->answer->ans_file_selected = line_info.selected;
	forminfo->answer->ans_file_index = 475;
	forminfo->answer->ans_file_gb_index = 0;
	index++;


	/* initializing 'forminfo->answer->ans_file'
	       Pane Information structure */

	index++;

	xvf_parse_output_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->answer->ans_file->out_answer_file = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->answer->ans_file->out_answer_file = NULL;

	xvf_deparse_output_line(&line_info, database,index);
	forminfo->answer->ans_file->out_answer_file_index = index;
forminfo->answer->ans_file->out_answer_file_selected = false;
	index++;

	index++;

	xvf_parse_input_line(database[index], &line_info);
	if (line_info.file_def != NULL) {
	   forminfo->answer->ans_file->in_answer_file = 
		xvf_strcpy(line_info.file_def);
	}
	else  forminfo->answer->ans_file->in_answer_file = NULL;

	xvf_deparse_input_line(&line_info, database, index);
	forminfo->answer->ans_file->in_answer_file_index = index;
forminfo->answer->ans_file->in_answer_file_selected = false;
	index++;

	index++;

	forminfo->answer->ans_file->quit = false;
	index++;

	_xvf_get_Master(formptr, forminfo);
	return(true);

}

